<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui">
<h:head>
	<title>Actividades</title>
</h:head>
<h:body>
	<ui:include src="/menu.xhtml" />
	<p:fieldset legend="Actividades"
		style="margin-top:10px;margin-bottom:10px;">
		<h:panelGrid columns="2">
			<h:form id="formActividad">
				<h:panelGrid columns="4" cellpadding="4" cellspacing="2">
					<p:outputLabel value="Nombre" />
					<p:inputText value="#{gestionActividades.actividades.nombre}" />
					<p:outputLabel for="fechaEs" value="Fecha" />
					<p:calendar id="fechaEs"
						value="#{gestionActividades.actividades.fecha}" locale="es"
						navigator="true" pattern="dd-MMM-yyyy hh:mm a" showOn="button"
						disabledWeekends="true" />

					<p:outputLabel value="Descripción" />
					<p:inputTextarea rows="3" cols="20"
						value="#{gestionActividades.actividades.descripcion}" />
					<p:outputLabel value="Usuario" />
					<p:selectOneMenu value="#{gestionActividades.users.idUsuario}"
						filter="true" filterMatchMode="startsWith" style="width:170px;">
						<f:selectItem itemLabel="Seleccione" />
						<f:selectItems value="#{gestionActividades.listUsers}" var="us"
							itemValue="#{us.idUsuario}" itemLabel="#{us.user}" />
					</p:selectOneMenu>
					
					<p:outputLabel value="Estado" rendered="#{gestionActividades.actividades.nombre!=null}"  />
					<p:selectOneMenu value="#{gestionActividades.estado.idEstado}" style="width:170px;" rendered="#{gestionActividades.actividades.nombre!=null}" >
						<f:selectItem itemLabel="Seleccione"/>
						<f:selectItems value="#{gestionActividades.listEstados}" var="us"
							itemValue="#{us.idEstado}" itemLabel="#{us.estado}" />
					</p:selectOneMenu>
				
                      <f:facet name="footer"> 
					<p:commandButton rendered="#{gestionActividades.actividades.nombre==null}" actionListener="#{gestionActividades.createAct()}" value="Asignar" update=":activiTable,formActividad,:formActividad" />
				    <p:commandButton rendered="#{gestionActividades.actividades.nombre!=null}"  actionListener="#{gestionActividades.editAct()}" value="Actualizar" update=":activiTable,formActividad,:formActividad" />
				    <p:commandButton rendered="#{gestionActividades.actividades.nombre!=null}"  actionListener="#{gestionActividades.init()}" value="Cancelar" update=":activiTable,formActividad,:formActividad" />
				</f:facet>
				</h:panelGrid>
			</h:form>
			<h:panelGrid columns="1" cellpadding="4" cellspacing="2">
				<p:commandButton value="Consultar Tareas" type="button" onclick="PF('dlg2').show();" />
				<p:button value="Fechas Especiales" outcome="fechaEspecial.xhtml" />
			</h:panelGrid>
			<h:form id="activiTable">

			</h:form>

		</h:panelGrid>
		
		<h:form id="formFecha">
					<p:dataList id="listEs" value="#{gestionActividades.listEspecial}" var="esp"
						type="ordered" rendered="false">
                 <span class="fec">#{esp.fecha} </span>    
                     </p:dataList>
		</h:form>
	</p:fieldset>



<p:dialog header="Actividades Programadas" widgetVar="dlg2" modal="false" >

		<h:panelGrid columns="2">
			<h:form id="formTarea">
				<h:panelGrid columns="12" cellpadding="4" cellspacing="2">
					<p:inputText placeholder="Buscar">
						<i class="pi pi-search" style="margin-right: 10px;" />
					</p:inputText>
				</h:panelGrid>
			</h:form>
			</h:panelGrid>
			
			<h:form id="consultaTable">
					<p:dataTable var="ver" value="#{gestionActividades.listActividades}"
						paginator="true" rows="3">
						
						<p:column headerText="Actividad">
							<h:outputLabel value="#{ver.nombre}" />
						</p:column>
						<p:column headerText="Asignada">
							<h:outputLabel value="#{ver.usuarios.user}" />
						</p:column>
						<p:column headerText="Fecha Finalización">
							<h:outputLabel value="#{ver.fecha}" />
						</p:column>
						<p:column headerText="Estado">
							<h:outputLabel value="#{ver.estados.estado}" />
						</p:column>
						<p:column headerText="Acciones">
							<p:commandButton value="Editar"
								actionListener="#{gestionActividades.findActById(ver)}"
								update="formActividad" />
							<p:commandButton value="Eliminar"
								actionListener="#{gestionActividades.deleteAct(ver)}"
								update="formActividad,consultaTable" />
						</p:column>
					</p:dataTable>
				</h:form>

</p:dialog>  



	<script type="text/javascript">
    PrimeFaces.locales['es'] = {
        closeText: 'Cerrar',
        prevText: 'Anterior',
        nextText: 'Siguiente',
        monthNames: ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'],
        monthNamesShort: ['Ene', 'Feb', 'Mar', 'Abr', 'May', 'Jun', 'Jul', 'Ago', 'Sep', 'Oct', 'Nov', 'Dic'],
        dayNames: ['Domingo', 'Lunes', 'Martes', 'Miércoles', 'Jueves', 'Viernes', 'Sábado'],
        dayNamesShort: ['Dom', 'Lun', 'Mar', 'Mie', 'Jue', 'Vie', 'Sab'],
        dayNamesMin: ['Do', 'Lu', 'Ma', 'Mi', 'Ju', 'Vi', 'Sa'],
        weekHeader: 'Semana',
        firstDayOfWeek: 1,
        isRTL: false,
        showMonthAfterYear: false,
        yearSuffix: '',
        timeOnlyTitle: 'Sólo hora',
        timeText: 'Tiempo',
        hourText: 'Hora',
        minuteText: 'Minuto',
        secondText: 'Segundo',
        currentText: 'Fecha actual',
        ampm: true,
        month: 'Mes',
        week: 'Semana',
        day: 'Día',
        allDayText: 'Todo el día'
    };




 var wrapper = document.getElementsByTagName('span'),
 myClass = document.getElementsByClassName('fec');

wrapper[0].parentElement.appendChild(wrapper);
wrapper.id = 'wrapper';

for (var key in wrapper) {
 if (!wrapper.hasOwnProperty(key)) continue;

 wrapper.appendChild([key]);
 console.log(wrapper)
}


</script>
</h:body>

</html>